curl -X GET https://api.muvi.video/v1/catalog/providers
import requests
response = requests.get("https://api.muvi.video/v1/catalog/providers")
providers = response.json()
for provider in providers:
print(f"{provider['name']} - {provider['modelCount']} models")
const response = await fetch("https://api.muvi.video/v1/catalog/providers");
const providers = await response.json();
providers.forEach(provider => {
console.log(`${provider.name} - ${provider.modelCount} models`);
});
[
{
"id": "google",
"name": "Google",
"description": "Google's AI video and image generation models",
"logoUrl": "https://cdn.muvi.video/providers/google.png",
"website": "https://ai.google",
"color": "#4285F4",
"modelCount": 5
},
{
"id": "alibaba",
"name": "Alibaba",
"description": "Alibaba's Wan series video generation models",
"logoUrl": "https://cdn.muvi.video/providers/alibaba.png",
"website": "https://www.alibabacloud.com",
"color": "#FF6A00",
"modelCount": 3
}
]
Catalog
List Catalog Providers
Browse all providers in the public catalog with dynamic model counts. Providers with zero models are automatically filtered out.
GET
/
v1
/
catalog
/
providers
curl -X GET https://api.muvi.video/v1/catalog/providers
import requests
response = requests.get("https://api.muvi.video/v1/catalog/providers")
providers = response.json()
for provider in providers:
print(f"{provider['name']} - {provider['modelCount']} models")
const response = await fetch("https://api.muvi.video/v1/catalog/providers");
const providers = await response.json();
providers.forEach(provider => {
console.log(`${provider.name} - ${provider.modelCount} models`);
});
[
{
"id": "google",
"name": "Google",
"description": "Google's AI video and image generation models",
"logoUrl": "https://cdn.muvi.video/providers/google.png",
"website": "https://ai.google",
"color": "#4285F4",
"modelCount": 5
},
{
"id": "alibaba",
"name": "Alibaba",
"description": "Alibaba's Wan series video generation models",
"logoUrl": "https://cdn.muvi.video/providers/alibaba.png",
"website": "https://www.alibabacloud.com",
"color": "#FF6A00",
"modelCount": 3
}
]
Authentication
This is a public endpoint. No authentication required.
Response
Returns an array of provider objects. Providers withmodelCount: 0 are automatically excluded from the response.
Show Catalog Provider Object
Show Catalog Provider Object
Unique provider identifier.
Display name of the provider.
Brief description of the provider.
URL to the provider’s logo.
Provider’s official website.
Brand color hex code.
Number of models currently available from this provider.
curl -X GET https://api.muvi.video/v1/catalog/providers
import requests
response = requests.get("https://api.muvi.video/v1/catalog/providers")
providers = response.json()
for provider in providers:
print(f"{provider['name']} - {provider['modelCount']} models")
const response = await fetch("https://api.muvi.video/v1/catalog/providers");
const providers = await response.json();
providers.forEach(provider => {
console.log(`${provider.name} - ${provider.modelCount} models`);
});
[
{
"id": "google",
"name": "Google",
"description": "Google's AI video and image generation models",
"logoUrl": "https://cdn.muvi.video/providers/google.png",
"website": "https://ai.google",
"color": "#4285F4",
"modelCount": 5
},
{
"id": "alibaba",
"name": "Alibaba",
"description": "Alibaba's Wan series video generation models",
"logoUrl": "https://cdn.muvi.video/providers/alibaba.png",
"website": "https://www.alibabacloud.com",
"color": "#FF6A00",
"modelCount": 3
}
]
⌘I
